: Class DoubleField

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.forms
Class DoubleField

    java.lang.Object
      |
      +--org.w3c.tools.forms.FormField
            |
            +--org.w3c.tools.forms.DoubleField

public class DoubleField
extends FormField

Fields inherited from class org.w3c.tools.forms.FormField
`manager, name, title`

Constructor Summary
`DoubleField(FormManager manager, java.lang.String name, java.lang.String title)` Create a new uninitialized double field.
`DoubleField(FormManager manager, java.lang.String name, java.lang.String title, java.lang.Double value)` Create a new double field.

Method Summary
`boolean` | `acceptChange(java.lang.Double dval)` Do we want to accept this new value ?
`java.lang.Double` | `getDoubleValue()` Get this field's value as a Double.
`java.awt.Component` | `getEditor()` Get an editor for this field.
`java.lang.Object` | `getValue()` Get this field's value in its native format (ie Double).
`void` | `setValue(java.lang.Double value, boolean notify, boolean update)` Set this field's value to the given Double value.
`void` | `setValue(java.lang.Object value, boolean notify, boolean update)` Set this field's value to thegiven object.

Methods inherited from class org.w3c.tools.forms.FormField
`getName, getTitle, gotFocus, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleField

    public DoubleField(FormManager manager,
                       java.lang.String name,
                       java.lang.String title,
                       java.lang.Double value)
                throws IllegalFieldValueException

  Create a new double field.
  Parameters:
    `manager` - The associated form manager.
    `name` - The name for this field.
    `title` - This field's title.
    `value` - The initial value for the field.
  Throws:
    IllegalFieldValueException - If the default value isn't accepted by the field.

### DoubleField

    public DoubleField(FormManager manager,
                       java.lang.String name,
                       java.lang.String title)

  Create a new uninitialized double field.
  Parameters:
    `manager` - The asociated form manager.
    `name` - The field's name.
    `title` - The field's title.

Method Detail

### acceptChange

    public boolean acceptChange(java.lang.Double dval)

  Do we want to accept this new value ?
  Returns:
    A boolean, true if we accept this new value.

### getValue

    public java.lang.Object getValue()

  Get this field's value in its native format (ie Double).
  Overrides:
    getValue in class FormField
  Returns:
    An instance of Double.

### getDoubleValue

    public java.lang.Double getDoubleValue()

  Get this field's value as a Double.
  Returns:
    An instance of Double.

### setValue

    public void setValue(java.lang.Object value,
                         boolean notify,
                         boolean update)
                  throws IllegalFieldValueException

  Set this field's value to thegiven object.
  Overrides:
    setValue in class FormField
  Parameters:
    `value` - The new value for the field.
    `update` - Should the editor updates its view ?
  Throws:
    IllegalFieldValueException - If the provided value is not a Double object.

### setValue

    public void setValue(java.lang.Double value,
                         boolean notify,
                         boolean update)
                  throws IllegalFieldValueException

  Set this field's value to the given Double value.
  Parameters:
    `value` - The double value to set the field to.
    `update` - Should the editor updates its view ?
  Throws:
    IllegalFieldValueException - If the value couldn't be set.

### getEditor

    public java.awt.Component getEditor()

  Get an editor for this field.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD